import request from '@/utils/request'

// 查询LineUduncoin列表
export function listLineUduncoin(query) {
    return request({
        url: '/api/v1/line-uduncoin',
        method: 'get',
        params: query
    })
}

// 查询LineUduncoin详细
export function getLineUduncoin (id) {
    return request({
        url: '/api/v1/line-uduncoin/' + id,
        method: 'get'
    })
}


// 新增LineUduncoin
export function addLineUduncoin(data) {
    return request({
        url: '/api/v1/line-uduncoin',
        method: 'post',
        data: data
    })
}

// 修改LineUduncoin
export function updateLineUduncoin(data) {
    return request({
        url: '/api/v1/line-uduncoin/'+data.id,
        method: 'put',
        data: data
    })
}

// 删除LineUduncoin
export function delLineUduncoin(data) {
    return request({
        url: '/api/v1/line-uduncoin',
        method: 'delete',
        data: data
    })
}

